Status: Résolu Start date: 12/14/2018
Priority: Haut Due date:
Assignee: Jean-Baptiste Paroissien % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Nature de I'anomalie: Non bloquante Systéme Linux
d'exploitation:
Navigateur web : Firefox Type d'anomalie: Ergonomie / Fonctionnalité
Description

La page synthése suscite pas mal d'attente de la part du SNO-T en terme d'affichage.
Les améliorations identifiées :

- Acces tout public dés la page d'accueill,

- Possibilité d'afficher différentes variables pour un méme site

- Possibilité d'afficher différents sites pour une méme variable (pour les comparer...)

- Le point d'entrée pourrait étre la variable, et non le site/station/datatype

History

#1 - 01/16/2019 09:03 AM - Jean-Baptiste Paroissien
- Status changed from Nouveau to En cours
Plusieurs points d'amélioration sont en cours :

1. Comparaison multi-site pour une méme variable

Le travail est en cours. Pour cela on exploite la méthode SpecificSynthesisChartTrendVariableBuilder.java du projet Marjorie.
Un probleme persiste avec MgalOConfigurator pour configurer le menu avec la seule entrée de I'arbre datatype...

1. Rendu graphique de la synthése
Plusieurs points sont en cours d'amélioration :

o retirer les lignes entre les points (line.setShowLine(false)) dans SpecificSynthesisChartTrendVariableBuilder (et non dans le
graphicVariableChartExtender2.js)
e Dans graphicVariableChartExtender2, on veillera a améliorer le rendu du graph pour le simplifier un peu :
o Supprimer les grilles, peut-étre conserver une ligne pour le zéro,
o L'étiquette au passage de la souris n'est pas super, (date,valeur), voir pour modifier ce format (la virgule pose probleme)
¢ Point important & voir, la gestion de la fenétre de la synthése (ticket envoyé dans Monsoere). Aussi, générer une fenétre popup plus petite, elle
est tros grosse pour les petits écrans. La place du graph dans cette fenétre est a revoir aussi.

#2 - 03/01/2019 04:30 PM - Jean-Baptiste Paroissien

- Status changed from En cours to Résolu

On se base sur shiny et ¢a fonctionne trés bien

#3 - 03/01/2019 04:30 PM - Jean-Baptiste Paroissien

- Status changed from Résolu to Fermé

#4 - 03/01/2019 04:31 PM - Jean-Baptiste Paroissien

- Status changed from Fermé to Résolu
